EDIT - feature request #5970

Implement allowOverride in CdmPreference
07/08/2016 02:48 PM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdm Estimated time: 0:00 hour
Target version: CDM UML 4.1

Severity: normal

Description

if false, the preference should not be overridden by local preferences
if true local preferences override database preferences, if set.

see also #3958, #3555, #5969, #5971

Related issues:
Related to EDIT - feature request #5969: Implement CdmPreference reading for ... Closed

Associated revisions

Revision f974bf29 - 07/08/2016 05:30 PM - Andreas Miiller
#5970 Add allowOverride

Revision ¢67d01cb - 11/11/2016 11:23 AM - Andreas Miiller

ref #5970 remove transient from allowOverride

Revision b6ee6df4 - 11/15/2016 12:23 PM - Andreas Miiller

fix #6200 Change order of NomenclaturalCodeUpdater and allowOverride adder to avoid null values

History

#1 - 07/08/2016 02:48 PM - Andreas Miiller

- Status changed from New to In Progress

#2 - 07/08/2016 05:22 PM - Andreas Miiller
fixed by [28661] and [28659]

#3 - 07/08/2016 05:34 PM - Andreas Miiller

- Status changed from In Progress to Resolved

#4 - 11/01/2016 01:04 PM - Katja Luther
- Description updated

- Status changed from Resolved to Feedback

we also need to update the databases, do you have to include it into your update script already?

#5 - 11/01/2016 02:05 PM - Andreas Miuller

- Description updated

#6 - 11/01/2016 02:17 PM - Andreas Miuller

Katja Luther wrote:

we also need to update the databases, do you have to include it into your update script already?

Yes, this will be available with next model changes (hopefully this week). E.g.
https://dev.e-taxonomy.eu/redmine/issues/3958
https://dev.e-taxonomy.eu/redmine/issues/5969
https://dev.e-taxonomy.eu/redmine/issues/5971

https://dev.e-taxonomy.eu/redmine/projects/edit/repository/edit-svn/revisions/2866 1/entry/branches/cdmlib/cdm-4.1/cdmlib-persistence/src/main/java/

eu/etaxonomy/cdm/database/update/v40_41/SchemaUpdater_40_41.java

#7 - 11/15/2016 02:21 PM - Andreas Miiller

This is fully resolved now. Please update taxeditor accordingly if needed.

#8 - 11/15/2016 02:22 PM - Andreas Miiller
- Status changed from Feedback to Closed

#10 - 11/15/2016 02:53 PM - Andreas Miiller

- Related to feature request #5969: Implement CdmPreference reading for database preferences added

#11 - 11/21/2016 01:40 PM - Andreas Miiller

- Private changed from Yes to No
